Skip to main content
POST
/
crm
/
exports
/
2026-03
/
export
/
async
Start an export
curl --request POST \
  --url https://api.hubapi.com/crm/exports/2026-03/export/async \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "associatedObjectType": [
    "<string>"
  ],
  "exportInternalValuesOptions": [],
  "exportName": "<string>",
  "exportType": "VIEW",
  "includeLabeledAssociations": true,
  "includePrimaryDisplayPropertyForAssociatedObjects": true,
  "objectProperties": [
    "<string>"
  ],
  "objectType": "<string>",
  "overrideAssociatedObjectsPerDefinitionPerRowLimit": true
}
'
import requests

url = "https://api.hubapi.com/crm/exports/2026-03/export/async"

payload = {
"associatedObjectType": ["<string>"],
"exportInternalValuesOptions": [],
"exportName": "<string>",
"exportType": "VIEW",
"includeLabeledAssociations": True,
"includePrimaryDisplayPropertyForAssociatedObjects": True,
"objectProperties": ["<string>"],
"objectType": "<string>",
"overrideAssociatedObjectsPerDefinitionPerRowLimit": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
associatedObjectType: ['<string>'],
exportInternalValuesOptions: [],
exportName: '<string>',
exportType: 'VIEW',
includeLabeledAssociations: true,
includePrimaryDisplayPropertyForAssociatedObjects: true,
objectProperties: ['<string>'],
objectType: '<string>',
overrideAssociatedObjectsPerDefinitionPerRowLimit: true
})
};

fetch('https://api.hubapi.com/crm/exports/2026-03/export/async', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "links": {}
}
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
associatedObjectType
string[]
required
exportInternalValuesOptions
enum<string>[]
required
Available options:
NAMES,
VALUES
exportName
string
required
exportType
enum<string>
default:VIEW
required
Available options:
VIEW
format
enum<string>
required
Available options:
CSV,
XLS,
XLSX
includeLabeledAssociations
boolean
required
includePrimaryDisplayPropertyForAssociatedObjects
boolean
required
language
enum<string>
required
Available options:
AF_ZA,
AR_EG,
BG,
BN,
CA_ES,
CS,
DA_DK,
DE,
EL_GR,
EN,
EN_GB,
ES,
ES_MX,
ET_EE,
FI,
FR,
FR_CA,
HE_IL,
HI_IN,
HR,
HU,
ID,
IT,
JA,
KO_KR,
LT_LT,
MS,
NL,
NO,
PL,
PT_BR,
PT_PT,
RO,
RU,
SK_SK,
SL,
SV,
TH,
TL,
TR,
UK,
VI_VN,
ZH_CN,
ZH_HK,
ZH_TW
objectProperties
string[]
required
objectType
string
required
overrideAssociatedObjectsPerDefinitionPerRowLimit
boolean
required
publicCrmSearchRequest
object

Response

accepted

id
string
required

The unique ID of the export.

An object containing relevant links related to the export process.

Last modified on March 31, 2026